> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Uptime Monitor

> Get a single uptime monitor with recent checks

## Path Parameters

<ParamField path="id" type="string" required>
  The monitor ID
</ParamField>

## Response

<ResponseField name="id" type="string">
  Monitor ID
</ResponseField>

<ResponseField name="name" type="string">
  Monitor name
</ResponseField>

<ResponseField name="url" type="string">
  Monitored URL
</ResponseField>

<ResponseField name="status" type="string">
  Current status
</ResponseField>

<ResponseField name="uptime_percentage" type="number">
  Uptime percentage over last 30 days
</ResponseField>

<ResponseField name="avg_response_time_ms" type="number">
  Average response time in milliseconds
</ResponseField>

<ResponseField name="recent_checks" type="array">
  <Expandable title="check object">
    <ResponseField name="status" type="string">
      Check result: `up`, `down`
    </ResponseField>

    <ResponseField name="response_time_ms" type="integer">
      Response time
    </ResponseField>

    <ResponseField name="checked_at" type="string">
      ISO 8601 timestamp
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://kodostatus.com/api/v1/uptime-monitors/mon_abc123" \
    -H "X-API-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "uuid",
    "name": "API Health Check",
    "url": "https://api.example.com/health",
    "status": "up",
    "uptime_percentage": 99.95,
    "avg_response_time_ms": 245,
    "recent_checks": [
      { "status": "up", "response_time_ms": 230, "checked_at": "2024-01-15T10:30:00Z" }
    ]
  }
  ```
</ResponseExample>
